# PSF-LoginServer - master - net.psforever.objects.geometry.d3.Geometry3D
PSF - LoginServer - master - net.psforever.objects.geometry.d3.Geometry3D
Keywords: PSF LoginServer master net.psforever.objects.geometry.d3.Geometry3D

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d3
  Definition Classes
    geometry
- Cuboid
- Cylinder
- Geometry3D
- Line
- Point
- Ray
- Segment
- Sphere
- VolumetricGeometry

t

net.psforever.objects.geometry.d3

# Geometry3D

###

#### trait Geometry3D extends PrimitiveGeometry

Basic interface of all three-dimensional geometry. For the only real requirement for a three-dimensional geometric figure is that it has three components of position and an equal number of components demonstrating equal that said dimensionality.

Source
  Geometry3D.scala

Linear Supertypes
PrimitiveGeometry, AnyRef, Any
Known Subclasses
Cuboid, Cylinder, Line, Point, Ray, Segment, Sphere, VolumetricGeometry

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Geometry3D
2. PrimitiveGeometry
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def center: Point

   The centroid of the geometry.

   The centroid of the geometry.

   returns

     a point

   Definition Classes
     Geometry3D → PrimitiveGeometry
2.  abstract def moveCenter(point: geometry.Point): Geometry3D

   Move the centroid of the shape to the given point

   Move the centroid of the shape to the given point

   point

     the new center point

   returns

     geometry centered on the new point; ideally, should be the same type of geometry as the original object

   Definition Classes
     Geometry3D → PrimitiveGeometry

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from PrimitiveGeometry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped